Changeset 61130 for trunk/dports/java


Ignore:
Timestamp:
Dec 2, 2009, 9:51:18 PM (10 years ago)
Author:
nox@…
Message:

Add Snow Leopard support to mysql-connector-java

mysql-connector-java requires JDK 1.5 and cannot compile with
JDK 1.6, complaining that some abstract methods are not defined
in concrete classes. patch-JDK-1.6.diff fixes that.

Location:
trunk/dports/java/mysql-connector-java
Files:
1 added
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/java/mysql-connector-java/Portfile

    r57375 r61130  
    44
    55name                            mysql-connector-java
    6 version                         5.0.7
     6version                         5.1.10
    77
    88categories                      java
     
    2222
    2323master_sites            http://ftp.plusline.de/mysql/Downloads/Connector-J/
    24 checksums                       md5 d177ce7397b119f013458cec0418ad2d \
    25                                 sha1 df3b78d1108f89485fb8c9711ee39c376d0391eb \
    26                                 rmd160 eae7454d156c7726ab2e96017e8b6f4fe0c61ab9
     24checksums           md5     f9da616de868ddd1acf1428334f3313d \
     25                    sha1    32938f3004c70a657a7481496bc3813b85df20de \
     26                    rmd160  ef5b6cf4cceaac0c6d32858920c362bab6004bc1
    2727
    2828patchfiles                      patch-build.xml
     
    5151}
    5252
     53platform darwin 10 {
     54        post-patch {
     55                reinplace -E {/name="compile"/s/compile-testsuite, //} \
     56                        ${worksrcpath}/build.xml
     57        }
     58
     59        patchfiles-append patch-JDK-1.6.diff
     60}
     61
    5362livecheck.type  regex
    5463livecheck.url   http://dev.mysql.com/downloads/connector/j/5.0.html
Note: See TracChangeset for help on using the changeset viewer.